Sisimai::Reason::MesgTooBig(3pm)

NAME
Sisimai::Reason::MesgTooBig - Bounce reason is "mesgtoobig" or not.

SYNOPSIS
    use Sisimai::Reason::MesgTooBig;
    print Sisimai::Reason::MesgTooBig->match('400 Message too big');   # 1

DESCRIPTION
Sisimai::Reason::MesgTooBig checks the bounce reason is "mesgtoobig" or not. This class is called only Sisimai::Reason class.

This is the error that a sent email size is too big for a destination mail server. In many case, There are many attachment files with email, or the file size is too large. Sisimai will set "mesgtoobig" to the reason of email bounce if the value of Status: field in a bounce email is 5.3.4.

    Action: failure
    Status: 553 Exceeded maximum inbound message size

CLASS METHODS

  "text()"
"text()" returns string: "mesgtoobig".

    print Sisimai::Reason::MesgTooBig->text;  # mesgtoobig

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::MesgTooBig->match('400 Message too big');   # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "mesgtoobig". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

SEE ALSO

Sisimai::Reason::ExceedLimit - Sisimai::Reason::ExceedLimit

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.